> ## Name

> cgCallStateResetCallback - calls the state resetting callback function for a state assignment

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgCallStateResetCallback( CGstateassignment sa );

> ## Parameters

> sa
>   The state assignment handle.

> ## Return Values

> Returns the boolean value returned by the callback function. It should be CG_TRUE upon success.

> Returns CG_TRUE if no callback function was defined.

> ## Description

> cgCallStateResetCallback calls the graphics state resetting callback function for the given state assignment.

> The semantics of "resetting state" will depend on the particular graphics state manager that defined the valid state assignments; it will generally either mean that graphics state is reset to what it was before the pass, or that it is reset to the default value. The OpenGL state manager in the OpenGL Cg runtime implements the latter approach.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> ## History

> cgCallStateResetCallback was introduced in Cg 1.4.

> ## See Also

> cgResetPassState, cgSetStateCallbacks, cgCallStateSetCallback, cgCallStateValidateCallback